var colors = ['#5793f3', '#d14a61', '#675bba'];

export default {
  color: colors,
  title: {
    text: '月出行最晚结束时间',
    textStyle: {
      color: '#fff'
    }
  },
  tooltip: {
    trigger: 'axis',
    axisPointer: {
      type: 'cross'
    },
    formatter: function (params) {
      return [
        '日期：' + params[params.length - 1].data[0],
        '<span style="background: #c23513;width: 10px;height: 10px;border-radius: 50%;display: inline-block;"></span> 最早行车时间：' + millisecondToDate(Number(params[params.length - 2].value[1])),
        '<span style="background: #03771A;width: 10px;height: 10px;border-radius: 50%;display: inline-block"></span> 最晚行车时间：' + millisecondToDate(Number(params[params.length - 1].value[1]))
      ].join('<br>')
    }
  },
  grid: {
    left: '1%',
    right: '8%',
    bottom: '6%',
    containLabel: true
  },
  toolbox: {
    // feature: {
    //   dataView: {show: true, readOnly: false},
    //   restore: {show: true},
    //   saveAsImage: {show: true}
    // }
  },
  legend: {
    textStyle: {
      color: '#fff'
    }
  },
  xAxis: [
    {
      type: 'category',
      axisTick: {
        alignWithLabel: true,
        textStyle: {
          color: '#2DA2FD'
        }
      },
      axisLabel: {
        color: '#fff'
      },
      data: ['1月','2月','3月','4月','5月']
    }
  ],
  yAxis: [
    {
      type: 'value',
      name: '时间',
      axisLine: {
        lineStyle: {
          color: '#5a6379'
        }
      },
      max: 86399000,
      axisLabel: {
        formatter: function (param) {
          return millisecondToDate(Number(param))
        },
        color: '#fff'
      },
      nameTextStyle: {
        color: '#fff',
        padding: [0, 0, 0, 50]
      },
      splitLine: {
        lineStyle: {
          color: '#5a6379'
        }
      }
    }
  ],
  series: [
    {
      name:'月出行最晚结束时间',
      type:'line',
      data:[62, 59, 78, 44, 51]
    },
    {
      name:'出行最晚结束时间',
      type:'line',
      data:[66, 65, 63, 71, 59]
    }
  ]
};

function millisecondToDate (msd) {
  var time = parseInt(msd)
  var timeArray = []
  var n
  n = Math.floor(time / 604800000)
  if (n > 0) {
    time = time % 604800000
    timeArray.push(n + '周')
  }
  n = Math.floor(time / 86400000)
  if (n > 0) {
    time = time % 86400000
    timeArray.push(n + '天')
  }
  n = Math.floor(time / 3600000)
  if (n >= 0) {
    if (n < 10) {
      time = time % 3600000
      timeArray.push('0' + n + ':')
    } else {
      time = time % 3600000
      timeArray.push(n + ':')
    }
  }
  n = Math.floor(time / 60000)
  if (n >= 0) {
    if (n < 10) {
      time = time % 60000
      timeArray.push('0' + n + ':')
    } else {
      time = time % 60000
      timeArray.push(n + ':')
    }
  }
  n = Math.floor(time / 1000)
  if (n >= 0) {
    if (n < 10) {
      timeArray.push('0' + n)
    } else {
      timeArray.push(n)
    }
  }
  timeArray = timeArray.join('')
  return timeArray
}